Package org.gradle.tooling.events

## Interface BinaryPluginIdentifier

- All Superinterfaces:
    `PluginIdentifier`

      public interface BinaryPluginIdentifier
      extends PluginIdentifier

  Identifies a Gradle binary plugin.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | Returns the fully-qualified class name of this plugin.
    `java.lang.String` | `getPluginId()` | Returns the plugin id of this plugin, if available.

    - ### Methods inherited from interface org.gradle.tooling.events.PluginIdentifier

      `getDisplayName`

- - ### Method Detail

    - #### getClassName

          java.lang.String getClassName()

      Returns the fully-qualified class name of this plugin.

    - #### getPluginId

          @Nullable
          java.lang.String getPluginId()

      Returns the plugin id of this plugin, if available.